Bug 205666 - pkgorder crashes after genhdlist command
pkgorder crashes after genhdlist command
Status: CLOSED NOTABUG
Product: Fedora
Classification: Fedora
Component: anaconda (Show other bugs)
5
i686 Linux
medium Severity medium
: ---
: ---
Assigned To: Anaconda Maintenance Team
Mike McLean
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-09-07 18:38 EDT by Steve Gonzales
Modified: 2007-11-30 17:11 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-09-11 16:16:39 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Steve Gonzales 2006-09-07 18:38:14 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.8.0.6) Gecko/20060728 Firefox/1.5.0.6

Description of problem:
I'm attempting to "slipstream" yum updates into an fc5 installation tree.  In the pkgorder command, it matters not whether I specify i386, i586, or i686:  the command crashes.

Version-Release number of selected component (if applicable):


How reproducible:
Always


Steps to Reproduce:
I ran the following commands in order to "slipstream" updates into our fc5 installation tree:
# mkdir -p /archives/fc5.ss/Fedora/RPMS
# cp /mirrors/fedora/5/Fedora/RPMS /archives/fc5.ss/Fedora/RPMS
# cp /mirrors/fedora/updates/5 /archives/fc5.ss/Fedora/RPMS
# repomanage --old /archives/fc5.ss/Fedora/RPMS | xargs rm -f
# export PYTHONPATH=/usr/lib/anaconda
# export PATH="$PATH:/usr/lib/anaconda-runtime"
# mkdir /archives/fc5.ss/Fedora/base
# cd /archives/fc5.ss/Fedora/base
# cp /mirrors/fedora/5/Fedora/base/comps.* /archives/fc5.ss/Fedora/base
# genhdlist --productpath=Fedora /archives/fc5.ss
# pkgorder /archives/fc5.ss i386 Fedora | tee pkgorder.txt


Actual Results:

This is where the error occurs:
Traceback (most recent call last):
  File "/usr/lib/anaconda-runtime/pkgorder", line 188, in ?
    %(distDir,productPath), hdlist, doSelect = 0)
  File "/usr/lib/anaconda/hdrlist.py", line 928, in groupSetFromCompsFile
    compsxml = rhpl.comps.Comps(file)
  File "/usr/lib/python2.4/site-packages/rhpl/comps.py", line 349, in __init__
    self.load (filename)
  File "/usr/lib/python2.4/site-packages/rhpl/comps.py", line 371, in load
    group = Group(self, node)
  File "/usr/lib/python2.4/site-packages/rhpl/comps.py", line 61, in __init__
    self.parse (node)
  File "/usr/lib/python2.4/site-packages/rhpl/comps.py", line 118, in parse
    self.parse_package_list (node)
  File "/usr/lib/python2.4/site-packages/rhpl/comps.py", line 134, in parse_package_list
    raise CompsException
rhpl.comps.CompsException


Expected Results:
The file /archives/fc5.ss/Fedora/base/pkgorder.txt should have been generated.

Additional info:
Comment 1 Jeremy Katz 2006-09-11 16:16:39 EDT
FC5 no longer uses genhdlist at all

Note You need to log in before you can comment on or make changes to this bug.